Перестал работать импорт SAT файлов через API

Автор Тема: Перестал работать импорт SAT файлов через API  (Прочитано 3947 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн mikazakov

  • ADN
  • *
  • Сообщений: 507
  • Карма: 139
  • Skype: mikazakov@mail.ru
Что-то с кодировкой? Или в чем может быть проблема?
Потестил, у меня всё сработало на Inv 2021, значит с юникодом всё в порядке.
Попробуйте на другом компе запустить.



Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 11407
  • Карма: 1476
  • Рыцарь ObjectARX
  • Skype: rivilis
Vladislav,
Только сейчас обратил внимание.
1. А какая локализация Windows?
2. Какая файловая система диска C: ?
3. Похоже, что путь задан в неправильной кодировке. В какой-то западно-европейской.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн mikazakov

  • ADN
  • *
  • Сообщений: 507
  • Карма: 139
  • Skype: mikazakov@mail.ru
Пришел ответ с техподдержки в виде рабочего кода:

Код - Visual Basic [Выбрать]
  1. Sub CreateNPFWithDefinition()
  2.  
  3.     Dim m_Application As Inventor.Application
  4.     Set m_Application = ThisApplication
  5.  
  6.     Dim doc    As PartDocument
  7.     Set doc = ThisApplication.Documents.Add(kPartDocumentObject)
  8.    
  9.     Dim Brep As TransientBRep
  10.     Set Brep = m_Application.TransientBRep
  11.  
  12.     Dim TransObjs As TransientObjects
  13.     Set TransObjs = m_Application.TransientObjects
  14.  
  15.     Dim SBs As SurfaceBodies
  16.     Set SBs = Brep.ReadFromFile("D:\Stapler-1.SAT")
  17.  
  18.     Dim ObjColl As ObjectCollection
  19.     Set ObjColl = TransObjs.CreateObjectCollection
  20.  
  21.     Dim PartDef As PartComponentDefinition
  22.     Set PartDef = doc.ComponentDefinition
  23.  
  24.     Dim Features As PartFeatures
  25.     Set Features = PartDef.Features
  26.  
  27.     Dim NPFD  As NonParametricBaseFeatureDefinition
  28.    Dim oSB As SurfaceBody
  29.     For Each oSB In SBs
  30.         Call ObjColl.Add(oSB)
  31.         Set NPFD = Features.NonParametricBaseFeatures.CreateDefinition
  32.         NPFD.BRepEntities = ObjColl
  33.         NPFD.OutputType = BaseFeatureOutputTypeEnum.kSolidOutputType
  34.         Call PartDef.Features.NonParametricBaseFeatures.AddByDefinition(NPFD)
  35.         ObjColl.Clear
  36.     Next
  37. End Sub
Потестите у себя

Оффлайн VladislavАвтор темы

  • ADN OPEN
  • ***
  • Сообщений: 178
  • Карма: 0
mikazakov, Большое спасибо!